---
search:
  tags:
    - Drafts
    - POST
seo:
  description: >-
    Publish a draft as a challenge. Reference for the POST
    /api/admin/drafts/{id}/publish endpoint in the Athena Jeopardy Admin API.
sidebar:
  label: Publish a draft as a challenge
  badge: POST
title: Publish a draft as a challenge
type: openapi-operation
---
`POST /api/admin/drafts/{id}/publish`

**Responses**

- `200` — Success
- `400` — Bad request
- `401` — Unauthorized
- `404` — Not found
- `422` — Validation failed
- `429` — Too many requests
- `500` — Unhandled server error

Response example, 200:

```json
{
  "id": "string",
  "points": 0,
  "title": "string",
  "description": "string",
  "containerSpec": {
    "services": [
      {
        "name": "string",
        "image": "string",
        "command": [
          "string"
        ],
        "environment": {
          "property1": "string",
          "property2": "string"
        },
        "ports": [
          {
            "port": 0,
            "kind": "tcp"
          }
        ]
      }
    ],
    "size": "xl"
  },
  "categoryId": "string",
  "difficultyId": "string",
  "maxAttempts": 0,
  "userSolvesVisible": true,
  "scoringType": "static",
  "initialPoints": 0,
  "minimumPoints": 0,
  "decayFactor": 0,
  "dynamicFlag": true,
  "releaseAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "status": "hidden",
  "createdBy": "string"
}
```
